# Code Conductor v0.4.1

This is a bugfix and enhancement release for Code Conductor that improves command naming and usability.

## What's New in v0.4.1

- **Command Names Improved**: The CLI commands now use `code-conductor` and `cc-worke` for improved usability
- **Default Work Effort Creation**: Running `cc-worke` without flags now creates a default work effort in the current directory
- **Package Structure**: Updated for better consistency with the new name

## Installation

```bash
pip install code-conductor
```

## Usage

```bash
# Set up AI assistance in the current directory
code-conductor setup

# Create a new work effort
code-conductor work_effort

# List all work efforts
code-conductor list

# Create a work effort interactively
cc-worke -i

# Use AI to generate content for a work effort
cc-worke --use-ai --description "Your description"

# Create a default work effort in current directory
cc-worke
```

## Key Features

- **Work Effort Management**: Create, track, and manage development tasks with the `cc-worke` command
- **AI Development Environment**: Set up standardized environments for AI-assisted development
- **Project Templates**: Maintain consistent project structures across your AI development work
- **CLI Tools**: Intuitive command-line interface for all core functionality
- **Simplified Workflow**: Create work efforts in your current directory with a single command

We welcome contributions and feedback! Check out our [GitHub repository](https://github.com/ctavolazzi/code-conductor) for more details.